[1.6.1 or newer][FORGE] Exp on death

v1

Description

It's a big bummer if you have a lot of experience, and you lose it because you die for some stupid reason. With this mod, you will only lose 30% of your experience (not levels), and also drop half the experience you'd drop otherwise (to keep balance).

In 1.3.1, you have to relog after you die, because of a bug that makes your exp bar look empty (also happens when you go through a portal).

Videos

Vote: Like (198)  
Downloads (this site): 11863
By downloading, you agree with terms and conditions
If you don't know how to install a mod, check the installation guide
If you're using 1.2.5 version of the mod with forge, download this patch made by Secronz.

Choose mod version:


Download v1 [1.6.1 or newer]

SSP + SMP  mediafire

 

Changelog for v1

  • Updated v1 to 1.6.1 or newer

Download v1 [1.5.1 + 1.5.2]

SSP + SMP  mediafire

 

Changelog for v1

  • Updated v1 to 1.5.1 + 1.5.2
  • Very small tweaks influencing about of XP kept and dropped

Download v1 [1.4.7]

SSP  mediafire
SMP  mediafire
Bukkit  mediafire

 

Changelog for v1

  • Updated v1 to 1.4.7

Download v1 [1.3.1]

SSP  mediafire
SMP  mediafire
Bukkit  mediafire

 

Changelog for v1

  • Updated to 1.3.1

Download v1 [1.2.5]

SSP  mediafire
SMP  mediafire
Bukkit  mediafire

 

Changelog for v1

  • First version of the mod

198 likes

Comments

(showing 1 to 11 out of 11)
EnDaMeN28
Jul 13 2013, 06:30

Now I don't need to worry about my expirience :D

Secronz
Sep 05 2012, 12:24

Thankyou. :D

chylex
Sep 05 2012, 07:23

Done, sorry :( I was a bit in a hurry and I forgot

Secronz
Sep 05 2012, 00:16

Would it be possible to get some credit for the 1.2.5 forge fix? Just a mention or something.

chylex
Sep 03 2012, 09:47

Download the forge fix for minimod pack 1-5, it's somewhere near to the download. The pack is compatible with forge and modloader, you just need to download the forge fix and install it after you install both forge and minimod pack.

FEarBG
Sep 03 2012, 01:14

Even with the "minimod pack 1-5" the "acq.class" file will replace the one from Forge. I can run the game but if I take any damage at all - crash. That was the problem from the beginning. Can I take this mod to another modder with the idea to make it compatible with Forge ?

chylex
Sep 02 2012, 21:47

You can download minimod pack 1-5 for 1.2.5 with forge fix, that's the only way.

FEarBG
Sep 02 2012, 14:45

Then how I can use this with Forge ? He use the same "acq.class" in MC 1.2.5 and replacing it with this will make the game crash..

chylex
Sep 02 2012, 10:37

Classes change names with every version, I used the same class in 1.3.1, it has just a different name.

FEarBG
Sep 01 2012, 21:05

Can you make update for "MM_ExpOnDeath_1.2.5_SSP_v1" so the new version wont use "acq.class" like you did with 1.3.1 ?

chylex
Jun 09 2012, 14:00

Reuploaded the mod, it's now compatible with optifine!

Tweets

If you are looking for my new website with latest mod information, visit chylex.com.